<?php
namespace Claromentis\Projects\Event;

$GLOBALS["__65da1b1ec2d6653e8a0" . "ab7848e536215"] = (@$GLOBALS["__65da1b1ec2d6" . "653e8a0ab7848e" . "536215"] ?: array()) + array("user" . "_id" => base64_decode("dXN" . "lcl" . "9pZ" . "A=="), "proj" . "ect_" . "id" => base64_decode("cHJvamVjdF9p" . "ZA=="));
use Claromentis\Core\Event\GenericEvent;
use Claromentis\Projects\Service\NotificationService;
class TopicCreateEvent extends GenericEvent
{
    const EVENT_NAME = NotificationService::TOPICS_NEW_TOPIC_ADDED;
    public function getProjectId() : ?int
    {
        return $this->hasArgument($GLOBALS["__65da1b1ec2" . "d6653e8a0ab7" . "848e536215"]["proje" . "ct_id"]) ? $this->getArgument($GLOBALS["__65da1b1ec" . "2d6653e8a0a" . "b7848e53621" . "5"]["projec" . "t_id"]) : null;
    }
    public function setProjectId(int $_47d202493f86e587c8454fae73657c90) : void
    {
        $this->setArgument($GLOBALS["__65da1b1e" . "c2d6653e8a" . "0ab7848e53" . "6215"]["project" . "_id"], $_47d202493f86e587c8454fae73657c90);
    }
    public function getUserId() : ?int
    {
        return $this->hasArgument($GLOBALS["__65da1b1ec2d6653e8a0ab7848e" . "536215"]["user_" . "id"]) ? $this->getArgument($GLOBALS["__65da1b1ec2d6653e8a0a" . "b7848e536215"]["user_i" . "d"]) : null;
    }
    public function setUserId(int $_47d202493f86e587c8454fae73657c90) : void
    {
        $this->setArgument($GLOBALS["__65da1b1ec2d6653e8a0ab7848e" . "536215"]["user_i" . "d"], $_47d202493f86e587c8454fae73657c90);
    }
}